Index: tests/src/onset/test-peakpicker.c
===================================================================
--- tests/src/onset/test-peakpicker.c	(revision 02418f6a5f935cfe38de8c5ed40ede2afb4a1a17)
+++ tests/src/onset/test-peakpicker.c	(revision 9d6001cb8ac52f1245a05964dc50443a20ab1158)
@@ -17,4 +17,5 @@
 
         del_aubio_peakpicker(o);
+        del_fvec(out);
         del_fvec(in);
         return 0;
Index: tests/src/pitch/test-pitch.c
===================================================================
--- tests/src/pitch/test-pitch.c	(revision 02418f6a5f935cfe38de8c5ed40ede2afb4a1a17)
+++ tests/src/pitch/test-pitch.c	(revision 9d6001cb8ac52f1245a05964dc50443a20ab1158)
@@ -20,4 +20,5 @@
 
   del_aubio_pitch (o);
+  del_fvec (out);
   del_fvec (in);
   aubio_cleanup ();
Index: tests/src/pitch/test-pitchfcomb.c
===================================================================
--- tests/src/pitch/test-pitchfcomb.c	(revision 02418f6a5f935cfe38de8c5ed40ede2afb4a1a17)
+++ tests/src/pitch/test-pitchfcomb.c	(revision 9d6001cb8ac52f1245a05964dc50443a20ab1158)
@@ -19,4 +19,5 @@
 
         del_aubio_pitchfcomb(o);
+        del_fvec(out);
         del_fvec(in);
         aubio_cleanup();
Index: tests/src/spectral/test-phasevoc-jack.c
===================================================================
--- tests/src/spectral/test-phasevoc-jack.c	(revision 02418f6a5f935cfe38de8c5ed40ede2afb4a1a17)
+++ tests/src/spectral/test-phasevoc-jack.c	(revision 9d6001cb8ac52f1245a05964dc50443a20ab1158)
@@ -11,5 +11,7 @@
 #include <unistd.h>  /* sleep() */
 #include <aubio.h>
+#ifdef HAVE_JACK
 #include "jackio.h"
+#endif /* HAVE_JACK */
 
 uint_t testing  = 0;  /* change this to 1 to listen        */
Index: tests/src/spectral/test-tss.c
===================================================================
--- tests/src/spectral/test-tss.c	(revision 02418f6a5f935cfe38de8c5ed40ede2afb4a1a17)
+++ tests/src/spectral/test-tss.c	(revision 9d6001cb8ac52f1245a05964dc50443a20ab1158)
@@ -11,38 +11,45 @@
 
 int main(){
-	int i;
-        uint_t win_s    = 1024; /* window size                       */
-        uint_t hop_s    = 256;  /* hop size                          */
-        /* allocate some memory */
-        fvec_t * in       = new_fvec (hop_s); /* input buffer       */
-        cvec_t * fftgrain = new_cvec (win_s); /* fft norm and phase */
-        cvec_t * cstead   = new_cvec (win_s); /* fft norm and phase */
-        cvec_t * ctrans   = new_cvec (win_s); /* fft norm and phase */
-        fvec_t * stead    = new_fvec (hop_s); /* output buffer      */
-        fvec_t * trans    = new_fvec (hop_s); /* output buffer      */
-        /* allocate fft and other memory space */
-        aubio_pvoc_t * pv = new_aubio_pvoc (win_s,hop_s);
-        aubio_pvoc_t * pvt = new_aubio_pvoc(win_s,hop_s);
-        aubio_pvoc_t * pvs = new_aubio_pvoc(win_s,hop_s);
+  int i;
+  uint_t win_s    = 1024; /* window size                       */
+  uint_t hop_s    = 256;  /* hop size                          */
 
-	aubio_tss_t *  tss = new_aubio_tss(win_s,hop_s);
-        /* fill input with some data */
-        printf("initialised\n");
-        /* execute stft */
-	for (i = 0; i < 10; i++) {
-		aubio_pvoc_do (pv,in,fftgrain);
-		aubio_tss_do  (tss,fftgrain,ctrans,cstead);
-		aubio_pvoc_rdo(pvt,cstead,stead);
-		aubio_pvoc_rdo(pvs,ctrans,trans);
-	}
-        del_aubio_pvoc(pv);
-        del_fvec(in);
-        del_cvec(fftgrain);
-        del_cvec(cstead);
-        del_cvec(ctrans);
-        del_fvec(stead);
-        del_fvec(trans);
-        aubio_cleanup();
-        printf("memory freed\n");
-        return 0;
+  /* allocate some memory */
+  fvec_t * in       = new_fvec (hop_s); /* input buffer       */
+  cvec_t * fftgrain = new_cvec (win_s); /* fft norm and phase */
+  cvec_t * cstead   = new_cvec (win_s); /* fft norm and phase */
+  cvec_t * ctrans   = new_cvec (win_s); /* fft norm and phase */
+  fvec_t * stead    = new_fvec (hop_s); /* output buffer      */
+  fvec_t * trans    = new_fvec (hop_s); /* output buffer      */
+  /* allocate phase vocoders and transient steady-state separation */
+  aubio_pvoc_t * pv = new_aubio_pvoc (win_s,hop_s);
+  aubio_pvoc_t * pvt = new_aubio_pvoc(win_s,hop_s);
+  aubio_pvoc_t * pvs = new_aubio_pvoc(win_s,hop_s);
+  aubio_tss_t *  tss = new_aubio_tss(win_s,hop_s);
+
+  /* fill input with some data */
+  printf("initialised\n");
+
+  /* execute stft */
+  for (i = 0; i < 10; i++) {
+    aubio_pvoc_do (pv,in,fftgrain);
+    aubio_tss_do  (tss,fftgrain,ctrans,cstead);
+    aubio_pvoc_rdo(pvt,cstead,stead);
+    aubio_pvoc_rdo(pvs,ctrans,trans);
+  }
+
+  del_aubio_pvoc(pv);
+  del_aubio_pvoc(pvt);
+  del_aubio_pvoc(pvs);
+  del_aubio_tss(tss);
+
+  del_fvec(in);
+  del_cvec(fftgrain);
+  del_cvec(cstead);
+  del_cvec(ctrans);
+  del_fvec(stead);
+  del_fvec(trans);
+  aubio_cleanup();
+  printf("memory freed\n");
+  return 0;
 }
